{{/* cSpell:ignore querify subdir */ -}}
{{/* Class names ending with `--KIND` are deprecated in favor of `__KIND`, but we're keeping them for a few releases after 0.9.0 */ -}}

{{ if .File -}}
{{ $path := strings.TrimPrefix (add hugo.WorkingDir "/") $.File.Filename -}}
{{ $gh_repo := $.Param "github_repo" -}}
{{ $gh_url := $.Param "github_url" -}}
{{ $gh_subdir := $.Param "github_subdir" | default "" -}}
{{ $gh_branch := $.Param "github_branch" | default "main" -}}
{{ $cms_url := $.Param "cms_url" -}}
<div class="td-page-meta ms-2 pb-1 pt-2 mb-0">
{{ if $gh_url -}}
  {{ warnf "Warning: use of `github_url` is deprecated. For details, see https://www.docsy.dev/docs/adding-content/repository-links/#github_url-optional" -}}
  <a href="{{ $gh_url }}" target="_blank"><i class="fa-solid fa-pen-to-square fa-fw"></i> {{ T "post_edit_this" }}</a>
{{ else if $gh_repo -}}

  {{ $path_cms := $path -}}
  {{ $path_cms := replace $path_cms "content/kennisbank/" "kennisbank/entries/" -}}
  {{ $path_cms := replace $path_cms "content/besluiten/" "besluiten/entries/" -}}
  {{ $path_cms := replace $path_cms "content/docs/" "docs/entries/" -}}
  {{ $path_cms = replace $path_cms ".md" "" -}}

  {{/* Adjust $path based on path_base_for_github_subdir */ -}}
  {{ $ghs_base := $.Param "path_base_for_github_subdir" -}}
  {{ $ghs_rename := "" -}}
  {{ if reflect.IsMap $ghs_base -}}
    {{ $ghs_rename = $ghs_base.to -}}
    {{ $ghs_base = $ghs_base.from -}}
  {{ end -}}
  {{ with $ghs_base -}}
    {{ $path = replaceRE . $ghs_rename $path -}}
  {{ end -}}

  {{ $gh_repo_path := printf "%s/%s/%s" $gh_branch $gh_subdir $path -}}
  {{ $gh_repo_path = replaceRE "//+" "/" $gh_repo_path -}}

  {{ $viewURLGit := printf "%s/tree/%s" $gh_repo $gh_repo_path -}}
  {{ $editURLGit := printf "%s/edit/%s" $gh_repo $gh_repo_path -}}
  {{ $editURLCms := printf "%s/#/collections/%s" $cms_url $path_cms -}}
  {{ $issuesURL := printf "%s/issues/new?issue[title]=%s" $gh_repo (safeURL $.Title ) -}}

  <a href="{{ $viewURLGit }}" class="td-page-meta--view td-page-meta__view" target="_blank" rel="noopener"><i class="fa-solid fa-file-lines fa-fw"></i>{{ T "post_view_this_page" }} {{ T "post_view_this_in_git" }}</a>
  <span class="td-page-meta--view td-page-meta__view"  style="display: block;"><i class="fa-solid fa-pen-to-square fa-fw"></i> {{ T "post_edit_this_page" }} <a href="{{ $editURLCms }}" style="display: inline;" target="_blank" rel="noopener">{{ T "post_edit_this_in_cms" }}</a> of <a href="{{ $editURLGit }}" style="display: inline;" target="_blank" rel="noopener">{{ T "post_edit_this_in_git" }}</a></span>
  <a href="{{ $issuesURL }}" class="td-page-meta--issue td-page-meta__issue" target="_blank" rel="noopener"><i class="fa-solid fa-list-check fa-fw"></i> {{ T "post_create_issue" }}</a>

{{ end -}}
{{ with .CurrentSection.AlternativeOutputFormats.Get "print" -}}
  <a id="print" href="{{ .RelPermalink | safeURL }}"><i class="fa-solid fa-print fa-fw"></i> {{ T "print_entire_section" }}</a>
{{ end }}
</div>
{{ end -}}